Package com.google.android.exoplayer2.source.hls

## Interface HlsDataSourceFactory

- All Known Implementing Classes:
    `DefaultHlsDataSourceFactory`

      public interface HlsDataSourceFactory

  Creates `DataSource`s for HLS playlists, encryption and media chunks.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSource` | `createDataSource​(@com.google.android.exoplayer2.C.DataType int dataType)` | Creates a `DataSource` for the given data type.

- - ### Method Detail

    - #### createDataSource

          DataSource createDataSource​(@com.google.android.exoplayer2.C.DataType int dataType)

      Creates a `DataSource` for the given data type.
      Parameters:
        `dataType` - The `C.DataType` for which the `DataSource` will be used.
      Returns:
        A `DataSource` for the given data type.